<template>
  <histogram
    :data="rows"
  />
</template>

<script>
import * as _ from 'lodash';
import { mapState } from 'vuex';
import Histogram from '@/components/histogram/histogram.vue';

export default {
  name: 'talkerContributionHistogram',
  components: { Histogram },
  computed: {
    ...mapState({
      meeting: 'meeting',
      talkerGenders: 'talkerGenders',
      talkerTotalContribution: 'talkerTotalContribution',
    }),
    rows() {
      return _.chain(this.talkerTotalContribution)
        .map((duration, name) => ({
          value: duration,
          key: name,
          gender: this.meeting.getTalkerGender(name),
        }))
        .orderBy((r) => -r.value)
        .value();
    },
  },

};
</script>
<style lang="scss">
@import "../../assets/commons.css";

.talker-contribution-histogram-chart text {
  fill: darkgray;
  font: 15px sans-serif;
  text-anchor: end;
  dominant-baseline: central;
}

/* .chart div {
  font: 10px sans-serif;
  background-color: steelblue;
  text-align: right;
  padding: 3px;
  margin: 1px;
  color: white;
} */
</style>
